<?php

namespace Drupal\commerce_shipping_colissimo\Api;

/**
 * Label generation address.
 */
class LabelGenerationAddress {

  /**
   * Company name.
   *
   * @var string
   */
  public $companyName;

  /**
   * Last name.
   *
   * @var string
   */
  public $lastName;

  /**
   * First name.
   *
   * @var string
   */
  public $firstName;

  /**
   * Line 0.
   *
   * @var string
   */
  public $line0;

  /**
   * Line 1.
   *
   * @var string
   */
  public $line1;

  /**
   * Line 2.
   *
   * @var string
   */
  public $line2;

  /**
   * Line 3.
   *
   * @var string
   */
  public $line3;

  /**
   * Country code.
   *
   * @var string
   */
  public $countryCode;

  /**
   * City.
   *
   * @var string
   */
  public $city;

  /**
   * Zip code.
   *
   * @var string
   */
  public $zipCode;

  /**
   * Phone number.
   *
   * @var string
   */
  public $phoneNumber;

  /**
   * Mobile number.
   *
   * @var string
   */
  public $mobileNumber;

  /**
   * Door code 1.
   *
   * @var string
   */
  public $doorCode1;

  /**
   * Door code 2.
   *
   * @var string
   */
  public $doorCode2;

  /**
   * Email.
   *
   * @var string
   */
  public $email;

  /**
   * Intercom.
   *
   * @var string
   */
  public $intercom;

  /**
   * Language.
   *
   * @var string
   */
  public $language;

  /**
   * State or province code.
   *
   * @var string
   */
  public $stateOrProvinceCode;

}
